Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:3.6.2 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29889

Description

If the field used to label the layer contains values all capitalized, then the option "Capitalize first letter" is not working (nothing changes).

While the expression `title("field")` works correctly.

History

#1 - 2019-05-17 07:57 PM - Giovanni Manghi

- Status changed from Open to Feedback

if is a regression it must be given high priority.

#2 - 2019-05-20 01:48 PM - Alessandro Pasotti

From the "Capitalize" function definition (Python):

In Python, the capitalize() method converts the first character of a string to capital (uppercase) letter. If the string has its first character as capital, then it

returns the original string.

I'd close this as invalid or file a feature request to implement a "titleize" function.

#3 - 2019-05-20 02:01 PM - matteo ghetta

OK get it. Still it seems a little bit confusing for users: for `capitalize first letter` I expect only the first letter to be capitalized,  no matter what the input is.

#4 - 2019-05-20 09:40 PM - Nyall Dawson

For what it's worth, if you search deep in the tracker this same issue has been discussed at least 3 or 4 times previously (also on the mailing list)

#5 - 2019-05-21 07:04 AM - matteo ghetta

- Status changed from Feedback to Closed

OK then I wasn't able to find other similar issues :) OK guys, you convinced me.
#6 - 2019-05-21 04:56 PM - Harrissou Santanna

Nyall Dawson wrote:

For what it's worth, if you search deep in the tracker this same issue has been discussed at least 3 or 4 times previously (also on the mailing list)

Indeed. Then imho such a situation shows that there's an issue (people don't seem to understand this label). Or a missing option (aka "titleize" ?) that would

help them put it into perspective.

#7 - 2019-05-22 09:22 AM - Alessandro Pasotti

Can you file a feature request for "titleize"?
